%define rel 3
%define oname QTweetLib

Name:           qtweetlib
Summary:        C++ Qt based Twitter library
License:        LGPLv2
Version:        0.5
Release:        %mkrel %rel
Source0:	https://github.com/downloads/minimoog/QTweetLib/QTweetLib-%{version}.tar.gz
Url:           https://github.com/minimoog/QTweetLib
Group:         System/Libraries
BuildRequires:  cmake
BuildRequires:  pkgconfig(QtCore) < 5.0.0
BuildRequires:  pkgconfig(QtGui) < 5.0.0
BuildRequires:  pkgconfig(QtNetwork) < 5.0.0
BuildRequires:  pkgconfig(QJson)


%description
C++ Qt based Twitter library.

#------------------------------------------------------------------------------

%define major 1
%define libname  %mklibname qtweetlib %{major}

%package -n     %{libname}
Summary:        C++ Qt based Twitter library
Group:		System/Libraries

%description -n %{libname}
C++ Qt based Twitter library.

This package provides the runtime library.

%files -n %{libname}
%{_libdir}/libQTweetLib.so.%{major}*

#------------------------------------------------------------------------------

%define develname  %mklibname qtweetlib -d

%package -n     %{develname}
Group:          Development/C
Summary:        C++ Qt based Twitter library
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname} 
C++ Qt based Twitter library (devel package).
This package provides the header needs to build package against %name.

%files -n %{develname}
%{_libdir}/libQTweetLib.so
%{_includedir}/%{oname}/

#------------------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}

%build
%cmake
%make

%install
%makeinstall_std -C build



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.5-3.mga3
+ Revision: 380069
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 07 2012 neoclust <neoclust> 0.5-2.mga3
+ Revision: 279770
- Make sure to not build against Qt5

* Thu Aug 02 2012 fwang <fwang> 0.5-1.mga3
+ Revision: 277849
- bump libmajor
- new version 0.5

* Thu Mar 01 2012 juancho <juancho> 0.4-1.mga2
+ Revision: 216345
- Updated to 0.4

* Fri Nov 25 2011 mikala <mikala> 0.3.0-1.mga2
+ Revision: 171944
- imported package qtweetlib

